Model A1181: 1.83, 2, 2.1, 2.13, 2.16, 2.2, or 2.4 GHz Core 2 Duo processor

1363 Questions View all

Can I download new up to date software?

Can i download the newest software on my macbook model a1181? I tried downloadng itunes & it says it doesnt meet the specifications

Answered! View the answer I have this problem too

Is this a good question?

Score 0
Add a comment

1 Answer

Chosen Solution

Sounds like you may have a A1181 CoreDuo. You need at least a Core 2 Duo to install Lion. Go under the Apple in the upper left hand corner to "about this Mac" and check your processor and the amount of memory you have.

OS X Lion system requirements

To use Lion, make sure your computer has the following:

An Intel Core 2 Duo, Core i3, Core i5, Core i7, or Xeon processor

Mac OS X v10.6.6 or later to install via the Mac App Store (v10.6.8 recommended); you can install without Mac OS X v10.6 by using an OS X Lion USB Thumb Drive, available on the Apple Online Store

7 GB of available disk space

2 GB of RAM

If your Mac does not meet these requirements, you will need to upgrade your Mac before installing Lion.

Was this answer helpful?

Score 2
Add a comment

Add your answer

staci will be eternally grateful.
View Statistics:

Past 24 Hours: 0

Past 7 Days: 0

Past 30 Days: 0

All Time: 290